Wordpress Website Security and Updates

Some changes are coming to browsers that you should be aware of!

First, a quick background; Websites that facilitate online shopping, the management of protected health information (PHI) or other sensitive data sets have always required an SSL certificate. This appears as a small lock in the address bar of the browser and serves to encrypt data as it’s transmitted from your computer to the website’s server. Most websites don’t have a need for this type of security and the expense (usually about $99/year) wasn’t worth it. That’s changing now.

Starting in October Chrome and Firefox are going to start showing Not Secure warnings on any website without an SSL. Chrome is already doing it on any page that ask for a login and password or pages that ask for several pieces of data, think contact forms and request a quote forms. These websites aren’t asking for sensitive data and there’s little to no reason to encrypt it, but the warnings have a negative impact on user confidence and are likely to negatively impact conversion rates.

Because of this we’re now recommending that all clients implement an SSL on their website. If you’d like to have this security added to your site please reach out and let us know. We’ll figure out the least expensive method of doing so and then get it done for you.

If you get any queries about the unsecured content warnings you can let your customers know that the website has several layers of security and that no sensitive information is being transmitted. The error is simply pointing out that an additional layer of optional security isn’t present.